# Customers

Create, update, and retrieve customer records to keep data consistent across payments and billing.

## Create customer

 - [POST /customers/create](https://api-docs.solidgate.com/api/v2/customers/create-customer.md): Creates a new customer.

## Update customer

 - [POST /customers/patch](https://api-docs.solidgate.com/api/v2/customers/patch-customer.md): Updates specified customer fields.

## Get customer

 - [POST /customers/get](https://api-docs.solidgate.com/api/v2/customers/get-customer.md): Returns the customer for the provided identifier.

## List customers

 - [POST /customers/list](https://api-docs.solidgate.com/api/v2/customers/list-customers.md): Returns a paginated list of customers.

## Customer created

 - [POST CustomerCreated](https://api-docs.solidgate.com/api/v2/customers/on-customer-created.md): Webhook sent when a new customer is created.

## Customer updated

 - [POST CustomerUpdated](https://api-docs.solidgate.com/api/v2/customers/on-customer-updated.md): Webhook sent when a customer is updated.

